Create an object
POST
/vex/objectsReturns a new voka easy object (either created from input or copied from existing if the corresponding header is provided)
Authorization
ApiKeyAuth x-api-key<token>
In: header
Header Parameters
x-bgo-copy-source?string
voka easy object id to be copied; if present, requestBody will be ignored
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/vex/objects" \ -H "Content-Type: application/json" \ -d '{ "name": "Küche Hugentobler", "client": "Hugentobler" }'{
"id": "cmcn3j363000h7a26sqhtegpy",
"address": null,
"architect": null,
"calculationSurcharge": false,
"client": "Hugentobler",
"companyId": "clsit2yxx0001l2pc3ypxm4oz",
"createdAt": "2025-07-03T08:00:49.611Z",
"date": "2025-07-03T08:00:49.611Z",
"description": null,
"name": "Küche Hugentobler",
"orderNumber": "2025-000032",
"status": "COORDINATION",
"surchargePercentage": null,
"surchargeTotal": null,
"toBeDeletedAt": null,
"updatedAt": "2025-07-03T08:00:49.611Z",
"userId": "testUser1Company3"
}{
"code": "BAD_USER_INPUT",
"message": "string",
"details": {}
}{
"code": "BAD_USER_INPUT",
"message": "string",
"details": {}
}{
"code": "BAD_USER_INPUT",
"message": "string",
"details": {}
}{
"code": "BAD_USER_INPUT",
"message": "string",
"details": {}
}{
"code": "BAD_USER_INPUT",
"message": "string",
"details": {}
}